Package org.lwjgl.opengl

# Class NVPixelDataRange

java.lang.Object
org.lwjgl.opengl.NVPixelDataRange

public final class NVPixelDataRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_READ_PIXEL_DATA_RANGE_LENGTH_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_READ_PIXEL_DATA_RANGE_NV`
Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:
`static final int`
`GL_READ_PIXEL_DATA_RANGE_POINTER_NV`
Accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_WRITE_PIXEL_DATA_RANGE_NV`
Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:
`static final int`
`GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV`
Accepted by the <pname> parameter of GetPointerv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFlushPixelDataRangeNV(int target)`
`static void`
`glPixelDataRangeNV(int target, ByteBuffer data)`
`static void`
`glPixelDataRangeNV(int target, DoubleBuffer data)`
`static void`
`glPixelDataRangeNV(int target, FloatBuffer data)`
`static void`
`glPixelDataRangeNV(int target, IntBuffer data)`
`static void`
`glPixelDataRangeNV(int target, ShortBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_WRITE_PIXEL_DATA_RANGE_NV

public static final int GL_WRITE_PIXEL_DATA_RANGE_NV
Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:

See Also:
  - Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_NV

public static final int GL_READ_PIXEL_DATA_RANGE_NV
Accepted by the <target> parameter of PixelDataRangeNV and FlushPixelDataRangeNV, and by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:

See Also:
  - Constant Field Values

### GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV

public static final int GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_LENGTH_NV

public static final int GL_READ_PIXEL_DATA_RANGE_LENGTH_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV

public static final int GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV
Accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_READ_PIXEL_DATA_RANGE_POINTER_NV

public static final int GL_READ_PIXEL_DATA_RANGE_POINTER_NV
Accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

## Method Details

### glPixelDataRangeNV

public static void glPixelDataRangeNV(int target, ByteBuffer data)

### glPixelDataRangeNV

public static void glPixelDataRangeNV(int target, DoubleBuffer data)

### glPixelDataRangeNV

public static void glPixelDataRangeNV(int target, FloatBuffer data)

### glPixelDataRangeNV

public static void glPixelDataRangeNV(int target, IntBuffer data)

### glPixelDataRangeNV

public static void glPixelDataRangeNV(int target, ShortBuffer data)

### glFlushPixelDataRangeNV

public static void glFlushPixelDataRangeNV(int target)